/* This file is an example of definitions for TTCN-3 external functions */

/* Require includes */
#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include <string.h>
#include <ctype.h> 
#include "RTDS_CommonTypes.h"
#ifdef _WIN32
#include <winsock2.h>
#else
#include <netdb.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#endif

/* Auxiliary definitions */
#ifndef RTDS_MAX_STRING
#define RTDS_MAX_STRING 256
#endif

typedef char RTDS_String[RTDS_MAX_STRING];

static char * RTDS_copy(char * sDest, char * sSource, unsigned int maxChars)
  {
  unsigned int i = 0;
  if ( maxChars > 1)
    {
    while ( *sSource != '\0' )
      {
      *sDest = *sSource;
      sDest++; sSource++; i++;
      if ( i >= maxChars - 1 ) break;
      }
    }
  *sDest = '\0';
  return sDest;
  }

void assignFunction(RTDS_String sDest, RTDS_String sSource)
  {
  RTDS_copy(sDest, sSource, RTDS_MAX_STRING);
  }


/* External functions definitions */

RTDS_BOOLEAN isSelected(RTDS_String tc_name) 
  {
  /* Comment test-cases you want to skip during control-part execution */
  
  /* runRGRT */
  if (!strcmp(tc_name, "SIP_RG_RT_V_001")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_RG_RT_V_002")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_RG_RT_V_003")) return (RTDS_BOOLEAN) TRUE;
  if (!strcmp(tc_name, "SIP_RG_RT_V_004")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_RG_RT_V_005")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_RG_RT_V_006")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_RG_RT_V_007")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_RG_RT_V_008")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_RG_RT_V_009")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_RG_RT_V_010")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_RG_RT_V_011")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_RG_RT_V_012")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_RG_RT_V_013")) return (RTDS_BOOLEAN) TRUE;
  
  /* runCCOE */
  if (!strcmp(tc_name, "SIP_CC_OE_CE_V_001")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_002")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_003")) return (RTDS_BOOLEAN) TRUE;
  if (!strcmp(tc_name, "SIP_CC_OE_CE_V_004")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_005")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_006")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_007")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_008")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_009")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_010")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_011")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_012")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_013")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_014")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_015")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_016")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_017")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_018")) return (RTDS_BOOLEAN) TRUE;
  if (!strcmp(tc_name, "SIP_CC_OE_CE_V_019")) return (RTDS_BOOLEAN) TRUE;
  if (!strcmp(tc_name, "SIP_CC_OE_CE_V_020")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_021")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_022")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_023")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_024")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_025")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_026")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_027")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_028")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_029")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_030")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_031")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_032")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_033")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_034")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_035")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_036")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_037")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_038")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_039")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_040")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_041")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_042")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_043")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_044")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_045")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_046")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_047")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_V_048")) return (RTDS_BOOLEAN) TRUE;
	
	if (!strcmp(tc_name, "SIP_CC_OE_CE_TI_001")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_TI_002")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_TI_003")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_TI_004")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_TI_005")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_TI_006")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_TI_007")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_TI_008")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_TI_009")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_TI_010")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_TI_011")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CE_TI_012")) return (RTDS_BOOLEAN) TRUE;
	
	if (!strcmp(tc_name, "SIP_CC_OE_CR_V_001")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_V_002")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_V_003")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_V_004")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_V_005")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_V_006")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_V_007")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_V_008")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_V_009")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_V_010")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_V_011")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_V_012")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_V_013")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_V_014")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_V_015")) return (RTDS_BOOLEAN) TRUE;
	
	if (!strcmp(tc_name, "SIP_CC_OE_CR_I_001")) return (RTDS_BOOLEAN) TRUE;
	
	if (!strcmp(tc_name, "SIP_CC_OE_CR_TI_001")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_TI_002")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_TI_003")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_TI_004")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_TI_005")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_TI_006")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_TI_007")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_OE_CR_TI_008")) return (RTDS_BOOLEAN) TRUE;
	
	/* runCCTE */
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_001")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_002")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_003")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_004")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_005")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_006")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_007")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_008")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_009")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_010")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_011")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_012")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_013")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_014")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_015")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_016")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_017")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_018")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_019")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_020")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_021")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_022")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_023")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_024")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_025")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_026")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_027")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_028")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_029")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_030")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_031")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_032")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_V_033")) return (RTDS_BOOLEAN) TRUE;
	
	if (!strcmp(tc_name, "SIP_CC_TE_CE_I_001")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_I_002")) return (RTDS_BOOLEAN) TRUE;
	
	if (!strcmp(tc_name, "SIP_CC_TE_CE_TI_001")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_TI_002")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_TI_003")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_TI_004")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_TI_005")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_TI_006")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_TI_007")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_TI_008")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_TI_009")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_TI_010")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_TI_011")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CE_TI_012")) return (RTDS_BOOLEAN) TRUE;
	
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_001")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_002")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_003")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_004")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_005")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_006")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_007")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_008")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_009")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_010")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_011")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_012")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_013")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_014")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_015")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_016")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_017")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_018")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_019")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_020")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_V_021")) return (RTDS_BOOLEAN) TRUE;
	
	if (!strcmp(tc_name, "SIP_CC_TE_CR_I_001")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_I_002")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_I_003")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_I_004")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_CR_I_005")) return (RTDS_BOOLEAN) TRUE;
	
	if (!strcmp(tc_name, "SIP_CC_TE_CR_TI_001")) return (RTDS_BOOLEAN) TRUE;
	
	if (!strcmp(tc_name, "SIP_CC_TE_SM_V_001")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_SM_V_002")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_CC_TE_SM_V_003")) return (RTDS_BOOLEAN) TRUE;
	
	/* runMGRT */
	if (!strcmp(tc_name, "SIP_MG_RT_V_001")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_RT_V_002")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_RT_V_003")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_RT_V_004")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_RT_V_005")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_RT_V_006")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_RT_V_007")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_RT_V_008")) return (RTDS_BOOLEAN) TRUE;
	
	if (!strcmp(tc_name, "SIP_MG_RT_I_001")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_RT_I_002")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_RT_I_003")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_RT_I_004")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_RT_I_005")) return (RTDS_BOOLEAN) TRUE;
	
	/* runMGOE */
	if (!strcmp(tc_name, "SIP_MG_OE_V_001")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_V_002")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_V_003")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_V_004")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_V_005")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_V_006")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_V_007")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_V_008")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_V_009")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_V_010")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_V_011")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_V_012")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_V_013")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_V_014")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_V_015")) return (RTDS_BOOLEAN) TRUE;
	
	if (!strcmp(tc_name, "SIP_MG_OE_I_001")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_I_002")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_I_003")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_I_004")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_I_005")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_I_006")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_I_007")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_I_008")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_I_009")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_OE_I_010")) return (RTDS_BOOLEAN) TRUE;
	
	/* runMGTE */
	if (!strcmp(tc_name, "SIP_MG_TE_V_001")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_V_002")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_V_003")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_V_004")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_V_005")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_V_006")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_V_007")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_V_008")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_V_009")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_V_010")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_V_011")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_V_012")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_V_013")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_V_014")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_V_015")) return (RTDS_BOOLEAN) TRUE;
	
	if (!strcmp(tc_name, "SIP_MG_TE_I_001")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_I_002")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_I_003")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_I_004")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_I_005")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_I_006")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_I_007")) return (RTDS_BOOLEAN) TRUE;
	if (!strcmp(tc_name, "SIP_MG_TE_I_008")) return (RTDS_BOOLEAN) TRUE;
	
	return (RTDS_BOOLEAN) FALSE;
  }

char * getDate(int par_sec, char * returnString) 
  {
	printf("%s:%d: external function getDate is not defined\n" , __FILE__, __LINE__);
  assignFunction(returnString, "return of getDate");
	return returnString;
  }

char * getCurrentGMTDate(char * returnString) 
  {
  time_t rawtime;
  struct tm * timeinfo;
  time (&rawtime);
  timeinfo = localtime(&rawtime);
  strftime(returnString,80,"%a, %d %b %Y %H:%M:%S %Z",timeinfo);
	return returnString;
  }

int getMajorDigit() 
  {
  printf("%s:%d: external function getMajorDigit is not defined\n" , __FILE__, __LINE__);
	return 99;
  }

int getMinorDigit() 
  {
  printf("%s:%d: external function getMinorDigit is not defined\n" , __FILE__, __LINE__);
	return 99;
  }

char * getIpAddr(RTDS_String host_name, char * returnString) 
  {
	  struct hostent *he;
    struct in_addr **addr_list = (in_addr **)malloc(20*sizeof(in_addr *));
    int i;
    he = gethostbyname(host_name);
    addr_list = (struct in_addr **) he->h_addr_list;
    for(i = 0; addr_list[i] != NULL; i++) 
      {
      strcpy(returnString , inet_ntoa(*addr_list[i]) );
      return returnString;
      }
  }

char * putInLowercase(RTDS_String par_string, char * returnString) 
  {
  char* startOfString = returnString;
  for(int i = 0; par_string[i]; i++)
    {
    *returnString = tolower(par_string[i]);
    returnString++;
    }
  *returnString = '\0';
	return startOfString;
  }

char * calculateDigestResponse(RTDS_String vl_nonce, RTDS_String cnonce, RTDS_String user, RTDS_String vl_realm, RTDS_String passwd, RTDS_String alg, RTDS_String nonceCount, RTDS_String method, RTDS_String qop, RTDS_String URI, RTDS_String HEntity, char * returnString) 
  {
	printf("%s:%d: external function calculateDigestResponse is not defined\n" , __FILE__, __LINE__);
  assignFunction(returnString, "return of calculateDigestResponse");
	return returnString;
  }

char * encodeEscapeDelim(RTDS_String user, char * returnString) 
  {
	printf("%s:%d: external function encodeEscapeDelim is not defined\n" , __FILE__, __LINE__);
  assignFunction(returnString, "return of encodeEscapeDelim");
	return returnString;
  }
